ASIN(3)

NAME
asin, asinf, asinl - arc sine function

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
asin(double x);
float
asinf(float x);
long double
asinl(long double x);

DESCRIPTION
The asin(), asinf(), and asinl() functions compute the principal value of the arc sine of x in the range [-/2, +/2].

RETURN VALUES
If |x|>1, asin(x), asinf(x), and asinl(x) return NaN and set the global variable errno to EDOM.

SEE ALSO
acos(3), atan(3), atan2(3), cos(3), cosh(3), math(3), sin(3), sinh(3), tan(3), tanh(3)

STANDARDS
The asin() function conforms to isoC-99.